#
# MAKEFILE for CSXOR.EXE
#
# For use with
#   Borland C++ 3.1 or later
#   Borland TASM 4.1 or later
#
# To create CSXOR.EXE type:
#
#    MAKE -fCSXOR
#
.autodepend

BCC=C:\BC31\BIN\BCC
TASM=C:\TASM\BIN\TASM
TLINK=C:\BC31\BIN\TLINK
LIB=C:\BC31\LIB

.autodepend

MODL = s
NAME = csxor
OBJS =	$(NAME).obj \
	init_53.obj \
	timerms.obj
  
# Flags for linker
#
# /x = No map
# /m = Map with publics
# /v = Include debug symbols in link

$(NAME).exe : $(OBJS)
	$(TLINK) /c /m /LC:\bc5\lib @&&!
c0$(MODL) $(OBJS),$(NAME),,math$(MODL) emu c$(MODL)
!

# Flags for C++ compiler
#
# -N = Check for stack overflow
# -K = Set 'unsigned char' as default for 'char'
# -v = Debugger on
# -d = Merge strings
# -1 = 80186 instructions

.c.obj:
	$(BCC) -K -N -d -D_VGA_ -m$(MODL) -I$(<D) $(CFLGS) -c -n$(<D) $<

# Flags for TASM
#
# /zi = Debugger on

.asm.obj:
	$(TASM) /m3 /ml /d_msize=$(MODL) /i$(<D) $<,$(<R)
